/**
 * Comunic users management
 *
 * @author Pierre Hubert
 */

import { serverRequest } from "./APIHelper";

export interface SearchResult {
	id: number;
	first_name: string;
	last_name: string;
	email: string;
	account_image: string;
}

export class ComunicUsersHelper {
	/**
	 * Search for Comunic users
	 *
	 * @param name The name of the user to search
	 * @param email The email address of the user to search
	 */
	static async SearchUser(
		name: string,
		email: string
	): Promise<SearchResult[]> {
		return await serverRequest("users/search", {
			name: name,
			email: email,
		});
	}
}
